<?php
/*
CRIADO POR: K88
DATA ULTIMA ALTERAÇÃO: 17/03/2017 15:41
OBS.: ATUALIZAÇÃO DE ESTRUTURA E REVISÃO
*/

include("../configuracao.php");//confirma no banco de dados
include("../inclusos/funcoes.php");
include("../seguranca.php"); // Inclui o arquivo com o sistema de seguran?a
protegePagina(); // Protege a página	
	
	//recebe os parâmetros

$idvenda = $_REQUEST['idvenda'];
$idcliente = $_REQUEST['idcliente'];
$idorcamento = $_REQUEST['idorcamento'];
$titulo = $_REQUEST['titulo_projeto'];
$observacao = $_REQUEST['observacao'];
$valortotal = $_REQUEST['valortotal'];
$desconto = $_REQUEST['desconto'];
$valorfinal = $_REQUEST['valorfinal'];
$datavenda = InverteDataNovoSeparador($_REQUEST['datavenda'], "/", "-");
$status = $_REQUEST['status_orcamento'];
$idprofissional = $_REQUEST['idprofissional'];
$edicao = $_REQUEST['edicao'];
$comissao = $_REQUEST['comissao'];
$dataorcamento = InverteDataNovoSeparador($_REQUEST['dataorcamento'], "/", "-");
$idatendimento = $_REQUEST['idatendimento'];
$valorbdi = $_REQUEST['valorbdi'];
$tipo_valor = $_REQUEST['tipo_valor'];
$idcontato = $_REQUEST['idcontato'];
$idcentrocusto = $_REQUEST['idcentrocusto'];
$idusuario_cadastro = $_SESSION['usuarioID'];
$datacadastro = date("Y-m-d H:i:s");
$titulo_desconto = $_REQUEST['titulo_desconto'];
$idfilial = $_REQUEST['idfilial'];
$CodEndereco_cliente = $_REQUEST['CodEndereco_cliente'];
$bdi_produto = $_REQUEST['bdi_produto'];
$idobra = $_REQUEST['idobra'];


    try
    {
	//AQUI ATUALIZO O BDI DE TODOS OS PRODUTOS
	
	$SelecionaVendas = Seleciona("vendas", "WHERE idvenda='$idvenda'", "LIMIT 0,1");
	while($bdi_venda = mysql_fetch_array($SelecionaVendas)){
		$valorbdi_atual = $bdi_venda['valorbdi'];	
	}
	//VERIFICA SE O BDI ATUAL É DIFERENTE DO ATUALIZADO
	if($valorbdi_atual != $valorbdi){
	//ALTERO BDI DOS PRODUTOS
	$AlterarBdiProdutos = Alterar("vendas_servicos", "bdiproduto='$valorbdi'", "idvenda", $idvenda);			
	}
	//FIM ATUALIZAÇÃO BDI PRODUTOS ATRAVÉS DA VENDA

$campos_alterar = "idcliente='$idcliente', datavenda='$datavenda', idprofissional='$idprofissional', comissao='$comissao', status='$status', dataorcamento='$dataorcamento', idatendimento='$idatendimento', valorfinal='$valorfinal', valorbdi='$valorbdi', tipo_valor='$tipo_valor', desconto='$desconto', titulo='$titulo', idcontato='$idcontato', idcentrocusto='$idcentrocusto', idusuario_cadastro='$idusuario_cadastro', datacadastro='$datacadastro', titulo_desconto='$titulo_desconto', idfilial='$idfilial', edicao='$edicao', CodEndereco_cliente='$CodEndereco_cliente', bdi_produto='$bdi_produto', idobra='$idobra'";

        //insere na BD
		$AlterarObra = Alterar("vendas", $campos_alterar, "idvenda", $idvenda);
		
        //retorna 1 para no sucesso do ajax saber que foi com inserido sucesso
        echo "1";
    } 
    catch (Exception $ex)
    {
        //retorna 0 para no sucesso do ajax saber que foi um erro
        echo "0";
    }
?>